Imagick::getInterlaceScheme
Imagick::getNumberImages
Imagick
PHP Manual

# Imagick::getIteratorIndex

Gets the index of the current active image

### Description

int Imagick::getIteratorIndex ( void )

Returns the index of the current active image within the Imagick object. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Return Values

Returns an integer containing the index of the image in the stack.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::getIteratorIndex:

Create images, set and get the iterator index

`<?php
$im = new Imagick();
$im->newImage(100, 100, new ImagickPixel("red"));
$im->newImage(100, 100, new ImagickPixel("green"));
$im->newImage(100, 100, new ImagickPixel("blue"));
$im->setIteratorIndex(1);
echo $im->getIteratorIndex();
?>`

### See Also

- Imagick::setIteratorIndex
- Imagick::getImageIndex
- Imagick::setImageIndex